#pragma semicolon 1

#include <sourcemod>
#include <shop>
#include <vip_core>

public Plugin myinfo =
{
	name = "[VIP] Shop Discounts",
	author = "R1KO (skype  vova.andrienko1)",
	version = "1.1.2"
};

static const char g_sFeature[] = "ShopDiscounts";

public OnPluginStart()
{
	if(VIP_IsVIPLoaded())
	{
		VIP_OnVIPLoaded();
	}
}

public VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(g_sFeature, FLOAT, HIDE);
}

public OnPluginEnd()
{
	if(CanTestFeatures() && GetFeatureStatus(FeatureType_Native, "VIP_UnregisterFeature") == FeatureStatus_Available)
	{
		VIP_UnregisterFeature(g_sFeature);
	}
}


public Action Shop_OnItemBuy(int iClient, CategoryId category_id, const char[] category, ItemId item_id, const char[] item, ItemType type, int &price, int &sell_price, int &value)
{
	if(VIP_IsClientVIP(iClient) && VIP_IsClientFeatureUse(iClient, g_sFeature))
	{
		float fDiscount = VIP_GetClientFeatureFloat(iClient, g_sFeature);
		price -= RoundToCeil(float(price)*fDiscount);
		sell_price -= RoundToCeil(float(sell_price)*fDiscount);
		return Plugin_Changed;
	}
	return Plugin_Continue;
}

public bool Shop_OnItemDisplay(iClient, ShopMenu menu_action, CategoryId category_id, ItemId item_id, const char[] display, char[] sBuffer, int maxlength)
{
	if(VIP_IsClientVIP(iClient) && VIP_IsClientFeatureUse(iClient, g_sFeature))
	{
		FormatEx(sBuffer, maxlength, "%s (Скидка %i %%)", display, RoundToCeil(VIP_GetClientFeatureFloat(iClient, g_sFeature)*100.0));
		return true;
	}
	return false;
}
